Subject: Re: Doing blobless clone by default; switching between blobless, treeless and full clones by a command

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2025 09:47:57 -0700

Derrick Stolee <[email-masked]> writes:

> But there was always the possibility that the feedback from having
> 'scalar clone' available could lead to a future builtin of the form
> 'git big-clone' that adds similar optimizations for large repos. (My
> opinion is that 'scalar clone' _is_ this 'git big-clone' but maybe it
> is not discoverable enough.)

A separate command like "bit-clone" would not be discoverable
enough, either.  When a new feature matures in the playground, it
would be a welcome change for "git clone" to borrow it as a new
option, or even better yet, automatically enable it depending on the
size of the thing, with end-user consent.

Thanks.